snd_pcm_hw_constraint_ratdens
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_hw_constraint_ratdens —

## Synopsis

`int snd_pcm_hw_constraint_ratdens (` | struct snd_pcm_runtime * | runtime,
| unsigned int | cond,
| snd_pcm_hw_param_t | var,
| struct snd_pcm_hw_constraint_ratdens * | r`)`;

## Arguments

`runtime`

  PCM runtime instance

`cond`

  condition bits

`var`

  hw_params variable to apply the ratdens constraint

`r`

  struct snd_ratdens constriants

Prev | Up | Next
snd_pcm_hw_constraint_ratnums | Home | snd_pcm_hw_constraint_msbits